--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Draws a star centered on <tt>(x, y)</tt> with <tt>rays</tt> portions of <tt>length</tt> from the centre. Stars with an odd number of rays should have the top ray pointing toward the top of the document. This will not create a &quot;star&quot; with fewer than four points.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "New Point:"
    body: <tt>(cx, cy)</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "Subpath:"
    body: New
  type: :NOTE
full_name: PDF::Writer::Graphics#star
is_singleton: false
name: star
params: (cx, cy, length, rays = 5)
visibility: public
